# Generated by Django 5.0.6 on 2024-07-02 06:13

from django.db import migrations, models


def prefill_title_suffix(apps, schema_editor):
    ElectionsHomePage = apps.get_model("elections", "ElectionsHomePage")

    for page in ElectionsHomePage.objects.all():
        page.meta_title_suffix = page.title_suffix
        page.save()


class Migration(migrations.Migration):
    dependencies = [
        ("elections", "0042_alter_electionsarticlepage_content"),
    ]

    operations = [
        migrations.AddField(
            model_name="electionshomepage",
            name="meta_title_suffix",
            field=models.CharField(
                blank=True,
                help_text='Umožňuje přidat příponu k titulku stránky běžně zobrazovanému na záložce s touto stránkou. Pokud vyplníš například "Piráti Pardubicko", záložka s kontakty bude nadepsaná "Kontakty | Piráti Pardubicko".',
                max_length=100,
                null=True,
                verbose_name="Přípona meta titulku stránky",
            ),
        ),
        migrations.AlterField(
            model_name="electionshomepage",
            name="title_suffix",
            field=models.CharField(
                blank=True,
                help_text='Umožňuje přidat příponu k názvu stránky. Pokud vyplníš například "Pardubicko", v levém horním rohu bude logo Pirátské strany a text "| Pardubicko".',
                max_length=100,
                null=True,
                verbose_name="Přípona názvu stránky",
            ),
        ),
        migrations.RunPython(prefill_title_suffix),
    ]
